/*
 * @description:标段用户关系
 * @Author: CP
 * @Date: 2020-10-22 16:00:19
 * @FilePath: \construction_management\web\viewmodels\permission_account.go
 */
package viewmodels

import validation "github.com/go-ozzo/ozzo-validation/v3"

type PermissionAccount struct {
	BidsectionType int `form:"bidsectionType" json:"bidsectionType"`
}

func (l PermissionAccount) Validate() error {
	return validation.ValidateStruct(&l,
		validation.Field(&l.BidsectionType, validation.Required.Error("请求类型不能为空"), validation.In(0, 1, 2).Error("未找到相关请求类型")),
	)
}
